%define base_name	kde-styles-widgets
%define theme_name	tiblit
%define name		%base_name-%theme_name

Name: %name
Version: 1.2
Release: alt2

Group: Graphical desktop/KDE
Summary: Tiblit style for KDE
License: GPL
Url: http://kde-look.org/content/show.php?content=20798

Source: %theme_name-%version.tar.bz2
Patch0: kde-styles-tiblit-alt-automake.patch
Patch1: kde-styles-tiblit-alt-makefile.patch

# Automatically added by buildreq on Thu Mar 10 2005
BuildRequires: gcc-c++ kdelibs-devel libjpeg-devel libpng-devel
BuildRequires: libqt3-devel libstdc++-devel xml-utils
BuildRequires: xorg-x11-libs zlib-devel

%description
Beutiful KDE style created from ThinKeramik

%prep
%setup -q -n %theme_name-%version
%patch0 -p1
%patch1 -p1

%make -f Makefile.cvs

%build
export CFLAGS="%optflags" CPPFLAGS="%optflags" CXXFLAGS="%optflags"

%__subst 's|\.la|\.so|g' configure

%configure \
    --disable-debug \
    --disable-rpath \
    --without-arts

%make_build
	    
%install
%makeinstall

%files
%doc README LICENSE THANKS
%_libdir/kde3/*.la
%_libdir/kde3/*.so
%_libdir/kde3/plugins/styles/tiblit.*
%_datadir/apps/kdisplay/color-schemes/Tiblit-*.kcsrc
%_datadir/apps/kdisplay/styleconfs/tiblit_*.kcmrc
%_datadir/apps/kstyle/themes/tiblit.themerc

%changelog
* Mon Feb 06 2006 Stanislav Yadykin <tosick@altlinux.ru> 1.2-alt2
- BuildRequires fix

* Thu Mar 10 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2-alt1
- build for Sisyphus

